%define debug_package %{nil}
%define githash	67e894c6cd8f
%define uname	Eigen3

Name:		eigen3
Summary:	Lightweight C++ template library for vector and matrix math
Version:	3.3.3
Release:	%mkrel 2
Group:		System/Libraries
License:	LGPLv3+ or GPLv2+
URL:		http://eigen.tuxfamily.org/
Source0:	eigen-eigen-%{githash}.tar.bz2
Source1:	%{name}.png

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	ghostscript-common
BuildRequires:	graphviz
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
BuildRequires:	qt4-devel
BuildRequires:	suitesparse-devel
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(libsparsehash)
# (tmb) test youri
BuildArch:	noarch

%description
Eigen is a lightweight C++ template library for vector and matrix
math, a.k.a. linear algebra.

%package devel
Summary:	Header files for %{uname}
BuildArch:	noarch

%description devel
Eigen is a lightweight C++ template library for vector and matrix
math, a.k.a. linear algebra.

%package doc
Summary:	This is the API documentation for %{uname}
BuildArch:	noarch

%description  doc
This is the API documentation for %{uname}.

%prep
%setup -q -n eigen-eigen-%{githash}

%build
export CXXFLAGS="%{optflags} -fpermissive"
export CFLAGS="%{optflags} -fpermissive"

%cmake
%make_build
make doc
make check ||:

%install
%make_install -C build
install -d %{buildroot}%{_docdir}/%{name}/html
cp -r build/doc/html/* %{buildroot}%{_docdir}/%{name}/html

pushd %{buildroot}%_includedir
	mkdir %{name}
	ln -s ../Eigen %{name}
popd

# Desktop
install -d %{buildroot}%{_datadir}/applications
install -d %{buildroot}%{_iconsdir}
install -D %{SOURCE1} %{buildroot}%{_iconsdir}
cat > %{buildroot}%{_datadir}/applications/%{name}-doc.desktop << EOF
[Desktop Entry]
Version=1.0
Name=%{uname} C++ API Documentation
GenericName=%{uname} C++ API Documentation
Exec=xdg-open %{_docdir}/%{name}/html/index.html
Icon=%{name}
Terminal=false
Type=Application
Categories=System;Documentation;X-Mageia-CrossDesktop;
X-Desktop-File-Install-Version=0.19
EOF

%pretrans devel -p <lua>
path = "%{_includedir}/eigen3/Eigen"
st = posix.stat(path)
if st and st.type == "directory" then
  os.execute("rm -rf " .. path)
end

%files  doc
%doc %{_docdir}/*
%{_datadir}/applications/%{name}-doc.desktop
%{_iconsdir}/*

%files devel
%{_includedir}/signature_of_%{name}_matrix_library
%{_includedir}/Eigen/*
%{_includedir}/%{name}/*
%{_includedir}/unsupported/Eigen/*
%{_datadir}/pkgconfig/*.pc
%{_datadir}/%{name}/cmake/*


%changelog
* Sat Mar 11 2017 wally <wally> 3.3.3-2.mga6
+ Revision: 1091999
- fix compiler flags
- add %%pretrans lua scriptlet to fix update from mga5 (mga#20448)

* Tue Feb 28 2017 barjac <barjac> 3.3.3-1.mga6
+ Revision: 1088198
- new release 3.3.3

* Mon Jan 30 2017 barjac <barjac> 3.3.2-1.mga6
+ Revision: 1084294
- new version 3.3.2
- tidy some strings in spec
- fix files list

* Thu Sep 29 2016 neoclust <neoclust> 3.2.9-3.mga6
+ Revision: 1057497
- Fix link

* Wed Sep 28 2016 neoclust <neoclust> 3.2.9-2.mga6
+ Revision: 1057240
- Try to help to fix scilab build

* Tue Jul 26 2016 barjac <barjac> 3.2.9-1.mga6
+ Revision: 1043641
- new maintainence bug fix version 3.2.9

* Fri Feb 19 2016 barjac <barjac> 3.2.8-1.mga6
+ Revision: 968799
- new version 3.2.8
- enable tests but dont let fails break build

* Wed Dec 09 2015 barjac <barjac> 3.2.7-1.mga6
+ Revision: 909230
- new version 3.2.7

* Fri Oct 02 2015 tmb <tmb> 3.2.5-4.mga6
+ Revision: 885744
- try to get past youri

  + barjac <barjac>
    - Bump rel and re-submit as BS failed for no obvious reason
    - new version 3.2.5

  + neoclust <neoclust>
    - Fix build with new rpm ( empty debuginfo)

* Sat Aug 29 2015 daviddavid <daviddavid> 3.2.2-4.mga6
+ Revision: 871076
- rebuild with gcc 5.2.1

* Wed Oct 15 2014 umeabot <umeabot> 3.2.2-3.mga5
+ Revision: 745891
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.2-2.mga5
+ Revision: 678980
- Mageia 5 Mass Rebuild

* Wed Aug 06 2014 barjac <barjac> 3.2.2-1.mga5
+ Revision: 660169
- new version eigen3-3.2.2

* Sat Mar 15 2014 barjac <barjac> 3.2.1-1.mga5
+ Revision: 603979
- fix versioning

* Tue Mar 11 2014 barjac <barjac> 3.2-4.mga5
+ Revision: 601995
- new minor bugfix release

* Mon Oct 28 2013 barjac <barjac> 3.2-3.mga4
+ Revision: 547615
- changed buildrequires

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + fwang <fwang>
    - br glut

* Tue Aug 06 2013 fwang <fwang> 3.2-1.mga4
+ Revision: 464098
- new version 3.2

* Mon Jun 10 2013 barjac <barjac> 3.1.3-1.mga4
+ Revision: 441883
- new version 3.1.3

* Fri Jan 11 2013 umeabot <umeabot> 3.1.2-2.mga3
+ Revision: 349577
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 barjac <barjac> 3.1.2-1.mga3
+ Revision: 340260
- new version
- two new build requires

  + joequant <joequant>
    - upgrade to 3.1.1

* Tue Jul 10 2012 fwang <fwang> 3.0.6-1.mga3
+ Revision: 269161
- new version 3.0.6

* Tue Feb 28 2012 barjac <barjac> 3.0.5-2.mga2
+ Revision: 215941
+ rebuild (emptylog)

* Tue Feb 28 2012 barjac <barjac> 3.0.5-1.mga2
+ Revision: 215934
- Main package now -devel
- Corrected doc dir ownership
- imported package eigen3

